FROM python:3.13.6-slim

EXPOSE 5000

WORKDIR /usr/src/app

COPY requirements.txt .

RUN python3 -m pip install --upgrade pip
RUN python3 -m pip install --no-cache-dir -r requirements.txt

COPY . .

CMD [ "gunicorn", "--config", "gunicorn-cfg.py", "-k", "sync", "app:app" ]
